Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network27.136.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
Network address
27.136.0.0
Broadcast address
27.139.255.255
First usable
27.136.0.1
Last usable
27.139.255.254
Usable hosts
262,142 (262,144 less the network and broadcast addresses)
Subnet mask
255.252.0.0
Wildcard mask
0.3.255.255 (Cisco ACLs, OSPF)
Prefix length
/14
Type
Public public
Old class
A (default /8)
As numbers
Hex 1B880000 · Integer 461897728 to 462159871
Reverse DNS zones
136.27.in-addr.arpa
137.27.in-addr.arpa
138.27.in-addr.arpa
139.27.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011011.10001000.00000000.0000000027.136.0.0
Subnet mask11111111.11111100.00000000.00000000255.252.0.0
Network00011011.10001000.00000000.0000000027.136.0.0
Broadcast00011011.10001011.11111111.1111111127.139.255.255
Split into smaller subnets/22

27.136.0.0/14 makes 256 subnets of /22.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
127.136.0.0/2227.136.0.1 to 27.136.3.25427.136.3.2551,022
227.136.4.0/2227.136.4.1 to 27.136.7.25427.136.7.2551,022
327.136.8.0/2227.136.8.1 to 27.136.11.25427.136.11.2551,022
427.136.12.0/2227.136.12.1 to 27.136.15.25427.136.15.2551,022
527.136.16.0/2227.136.16.1 to 27.136.19.25427.136.19.2551,022
627.136.20.0/2227.136.20.1 to 27.136.23.25427.136.23.2551,022
727.136.24.0/2227.136.24.1 to 27.136.27.25427.136.27.2551,022
827.136.28.0/2227.136.28.1 to 27.136.31.25427.136.31.2551,022
927.136.32.0/2227.136.32.1 to 27.136.35.25427.136.35.2551,022
1027.136.36.0/2227.136.36.1 to 27.136.39.25427.136.39.2551,022
1127.136.40.0/2227.136.40.1 to 27.136.43.25427.136.43.2551,022
1227.136.44.0/2227.136.44.1 to 27.136.47.25427.136.47.2551,022
1327.136.48.0/2227.136.48.1 to 27.136.51.25427.136.51.2551,022
1427.136.52.0/2227.136.52.1 to 27.136.55.25427.136.55.2551,022
1527.136.56.0/2227.136.56.1 to 27.136.59.25427.136.59.2551,022
1627.136.60.0/2227.136.60.1 to 27.136.63.25427.136.63.2551,022
1727.136.64.0/2227.136.64.1 to 27.136.67.25427.136.67.2551,022
1827.136.68.0/2227.136.68.1 to 27.136.71.25427.136.71.2551,022
1927.136.72.0/2227.136.72.1 to 27.136.75.25427.136.75.2551,022
2027.136.76.0/2227.136.76.1 to 27.136.79.25427.136.79.2551,022
2127.136.80.0/2227.136.80.1 to 27.136.83.25427.136.83.2551,022
2227.136.84.0/2227.136.84.1 to 27.136.87.25427.136.87.2551,022
2327.136.88.0/2227.136.88.1 to 27.136.91.25427.136.91.2551,022
2427.136.92.0/2227.136.92.1 to 27.136.95.25427.136.95.2551,022
2527.136.96.0/2227.136.96.1 to 27.136.99.25427.136.99.2551,022
2627.136.100.0/2227.136.100.1 to 27.136.103.25427.136.103.2551,022
2727.136.104.0/2227.136.104.1 to 27.136.107.25427.136.107.2551,022
2827.136.108.0/2227.136.108.1 to 27.136.111.25427.136.111.2551,022
2927.136.112.0/2227.136.112.1 to 27.136.115.25427.136.115.2551,022
3027.136.116.0/2227.136.116.1 to 27.136.119.25427.136.119.2551,022
3127.136.120.0/2227.136.120.1 to 27.136.123.25427.136.123.2551,022
3227.136.124.0/2227.136.124.1 to 27.136.127.25427.136.127.2551,022
3327.136.128.0/2227.136.128.1 to 27.136.131.25427.136.131.2551,022
3427.136.132.0/2227.136.132.1 to 27.136.135.25427.136.135.2551,022
3527.136.136.0/2227.136.136.1 to 27.136.139.25427.136.139.2551,022
3627.136.140.0/2227.136.140.1 to 27.136.143.25427.136.143.2551,022
3727.136.144.0/2227.136.144.1 to 27.136.147.25427.136.147.2551,022
3827.136.148.0/2227.136.148.1 to 27.136.151.25427.136.151.2551,022
3927.136.152.0/2227.136.152.1 to 27.136.155.25427.136.155.2551,022
4027.136.156.0/2227.136.156.1 to 27.136.159.25427.136.159.2551,022
4127.136.160.0/2227.136.160.1 to 27.136.163.25427.136.163.2551,022
4227.136.164.0/2227.136.164.1 to 27.136.167.25427.136.167.2551,022
4327.136.168.0/2227.136.168.1 to 27.136.171.25427.136.171.2551,022
4427.136.172.0/2227.136.172.1 to 27.136.175.25427.136.175.2551,022
4527.136.176.0/2227.136.176.1 to 27.136.179.25427.136.179.2551,022
4627.136.180.0/2227.136.180.1 to 27.136.183.25427.136.183.2551,022
4727.136.184.0/2227.136.184.1 to 27.136.187.25427.136.187.2551,022
4827.136.188.0/2227.136.188.1 to 27.136.191.25427.136.191.2551,022
4927.136.192.0/2227.136.192.1 to 27.136.195.25427.136.195.2551,022
5027.136.196.0/2227.136.196.1 to 27.136.199.25427.136.199.2551,022
5127.136.200.0/2227.136.200.1 to 27.136.203.25427.136.203.2551,022
5227.136.204.0/2227.136.204.1 to 27.136.207.25427.136.207.2551,022
5327.136.208.0/2227.136.208.1 to 27.136.211.25427.136.211.2551,022
5427.136.212.0/2227.136.212.1 to 27.136.215.25427.136.215.2551,022
5527.136.216.0/2227.136.216.1 to 27.136.219.25427.136.219.2551,022
5627.136.220.0/2227.136.220.1 to 27.136.223.25427.136.223.2551,022
5727.136.224.0/2227.136.224.1 to 27.136.227.25427.136.227.2551,022
5827.136.228.0/2227.136.228.1 to 27.136.231.25427.136.231.2551,022
5927.136.232.0/2227.136.232.1 to 27.136.235.25427.136.235.2551,022
6027.136.236.0/2227.136.236.1 to 27.136.239.25427.136.239.2551,022
6127.136.240.0/2227.136.240.1 to 27.136.243.25427.136.243.2551,022
6227.136.244.0/2227.136.244.1 to 27.136.247.25427.136.247.2551,022
6327.136.248.0/2227.136.248.1 to 27.136.251.25427.136.251.2551,022
6427.136.252.0/2227.136.252.1 to 27.136.255.25427.136.255.2551,022
6527.137.0.0/2227.137.0.1 to 27.137.3.25427.137.3.2551,022
6627.137.4.0/2227.137.4.1 to 27.137.7.25427.137.7.2551,022
6727.137.8.0/2227.137.8.1 to 27.137.11.25427.137.11.2551,022
6827.137.12.0/2227.137.12.1 to 27.137.15.25427.137.15.2551,022
6927.137.16.0/2227.137.16.1 to 27.137.19.25427.137.19.2551,022
7027.137.20.0/2227.137.20.1 to 27.137.23.25427.137.23.2551,022
7127.137.24.0/2227.137.24.1 to 27.137.27.25427.137.27.2551,022
7227.137.28.0/2227.137.28.1 to 27.137.31.25427.137.31.2551,022
7327.137.32.0/2227.137.32.1 to 27.137.35.25427.137.35.2551,022
7427.137.36.0/2227.137.36.1 to 27.137.39.25427.137.39.2551,022
7527.137.40.0/2227.137.40.1 to 27.137.43.25427.137.43.2551,022
7627.137.44.0/2227.137.44.1 to 27.137.47.25427.137.47.2551,022
7727.137.48.0/2227.137.48.1 to 27.137.51.25427.137.51.2551,022
7827.137.52.0/2227.137.52.1 to 27.137.55.25427.137.55.2551,022
7927.137.56.0/2227.137.56.1 to 27.137.59.25427.137.59.2551,022
8027.137.60.0/2227.137.60.1 to 27.137.63.25427.137.63.2551,022
8127.137.64.0/2227.137.64.1 to 27.137.67.25427.137.67.2551,022
8227.137.68.0/2227.137.68.1 to 27.137.71.25427.137.71.2551,022
8327.137.72.0/2227.137.72.1 to 27.137.75.25427.137.75.2551,022
8427.137.76.0/2227.137.76.1 to 27.137.79.25427.137.79.2551,022
8527.137.80.0/2227.137.80.1 to 27.137.83.25427.137.83.2551,022
8627.137.84.0/2227.137.84.1 to 27.137.87.25427.137.87.2551,022
8727.137.88.0/2227.137.88.1 to 27.137.91.25427.137.91.2551,022
8827.137.92.0/2227.137.92.1 to 27.137.95.25427.137.95.2551,022
8927.137.96.0/2227.137.96.1 to 27.137.99.25427.137.99.2551,022
9027.137.100.0/2227.137.100.1 to 27.137.103.25427.137.103.2551,022
9127.137.104.0/2227.137.104.1 to 27.137.107.25427.137.107.2551,022
9227.137.108.0/2227.137.108.1 to 27.137.111.25427.137.111.2551,022
9327.137.112.0/2227.137.112.1 to 27.137.115.25427.137.115.2551,022
9427.137.116.0/2227.137.116.1 to 27.137.119.25427.137.119.2551,022
9527.137.120.0/2227.137.120.1 to 27.137.123.25427.137.123.2551,022
9627.137.124.0/2227.137.124.1 to 27.137.127.25427.137.127.2551,022
9727.137.128.0/2227.137.128.1 to 27.137.131.25427.137.131.2551,022
9827.137.132.0/2227.137.132.1 to 27.137.135.25427.137.135.2551,022
9927.137.136.0/2227.137.136.1 to 27.137.139.25427.137.139.2551,022
10027.137.140.0/2227.137.140.1 to 27.137.143.25427.137.143.2551,022
10127.137.144.0/2227.137.144.1 to 27.137.147.25427.137.147.2551,022
10227.137.148.0/2227.137.148.1 to 27.137.151.25427.137.151.2551,022
10327.137.152.0/2227.137.152.1 to 27.137.155.25427.137.155.2551,022
10427.137.156.0/2227.137.156.1 to 27.137.159.25427.137.159.2551,022
10527.137.160.0/2227.137.160.1 to 27.137.163.25427.137.163.2551,022
10627.137.164.0/2227.137.164.1 to 27.137.167.25427.137.167.2551,022
10727.137.168.0/2227.137.168.1 to 27.137.171.25427.137.171.2551,022
10827.137.172.0/2227.137.172.1 to 27.137.175.25427.137.175.2551,022
10927.137.176.0/2227.137.176.1 to 27.137.179.25427.137.179.2551,022
11027.137.180.0/2227.137.180.1 to 27.137.183.25427.137.183.2551,022
11127.137.184.0/2227.137.184.1 to 27.137.187.25427.137.187.2551,022
11227.137.188.0/2227.137.188.1 to 27.137.191.25427.137.191.2551,022
11327.137.192.0/2227.137.192.1 to 27.137.195.25427.137.195.2551,022
11427.137.196.0/2227.137.196.1 to 27.137.199.25427.137.199.2551,022
11527.137.200.0/2227.137.200.1 to 27.137.203.25427.137.203.2551,022
11627.137.204.0/2227.137.204.1 to 27.137.207.25427.137.207.2551,022
11727.137.208.0/2227.137.208.1 to 27.137.211.25427.137.211.2551,022
11827.137.212.0/2227.137.212.1 to 27.137.215.25427.137.215.2551,022
11927.137.216.0/2227.137.216.1 to 27.137.219.25427.137.219.2551,022
12027.137.220.0/2227.137.220.1 to 27.137.223.25427.137.223.2551,022
12127.137.224.0/2227.137.224.1 to 27.137.227.25427.137.227.2551,022
12227.137.228.0/2227.137.228.1 to 27.137.231.25427.137.231.2551,022
12327.137.232.0/2227.137.232.1 to 27.137.235.25427.137.235.2551,022
12427.137.236.0/2227.137.236.1 to 27.137.239.25427.137.239.2551,022
12527.137.240.0/2227.137.240.1 to 27.137.243.25427.137.243.2551,022
12627.137.244.0/2227.137.244.1 to 27.137.247.25427.137.247.2551,022
12727.137.248.0/2227.137.248.1 to 27.137.251.25427.137.251.2551,022
12827.137.252.0/2227.137.252.1 to 27.137.255.25427.137.255.2551,022
12927.138.0.0/2227.138.0.1 to 27.138.3.25427.138.3.2551,022
13027.138.4.0/2227.138.4.1 to 27.138.7.25427.138.7.2551,022
13127.138.8.0/2227.138.8.1 to 27.138.11.25427.138.11.2551,022
13227.138.12.0/2227.138.12.1 to 27.138.15.25427.138.15.2551,022
13327.138.16.0/2227.138.16.1 to 27.138.19.25427.138.19.2551,022
13427.138.20.0/2227.138.20.1 to 27.138.23.25427.138.23.2551,022
13527.138.24.0/2227.138.24.1 to 27.138.27.25427.138.27.2551,022
13627.138.28.0/2227.138.28.1 to 27.138.31.25427.138.31.2551,022
13727.138.32.0/2227.138.32.1 to 27.138.35.25427.138.35.2551,022
13827.138.36.0/2227.138.36.1 to 27.138.39.25427.138.39.2551,022
13927.138.40.0/2227.138.40.1 to 27.138.43.25427.138.43.2551,022
14027.138.44.0/2227.138.44.1 to 27.138.47.25427.138.47.2551,022
14127.138.48.0/2227.138.48.1 to 27.138.51.25427.138.51.2551,022
14227.138.52.0/2227.138.52.1 to 27.138.55.25427.138.55.2551,022
14327.138.56.0/2227.138.56.1 to 27.138.59.25427.138.59.2551,022
14427.138.60.0/2227.138.60.1 to 27.138.63.25427.138.63.2551,022
14527.138.64.0/2227.138.64.1 to 27.138.67.25427.138.67.2551,022
14627.138.68.0/2227.138.68.1 to 27.138.71.25427.138.71.2551,022
14727.138.72.0/2227.138.72.1 to 27.138.75.25427.138.75.2551,022
14827.138.76.0/2227.138.76.1 to 27.138.79.25427.138.79.2551,022
14927.138.80.0/2227.138.80.1 to 27.138.83.25427.138.83.2551,022
15027.138.84.0/2227.138.84.1 to 27.138.87.25427.138.87.2551,022
15127.138.88.0/2227.138.88.1 to 27.138.91.25427.138.91.2551,022
15227.138.92.0/2227.138.92.1 to 27.138.95.25427.138.95.2551,022
15327.138.96.0/2227.138.96.1 to 27.138.99.25427.138.99.2551,022
15427.138.100.0/2227.138.100.1 to 27.138.103.25427.138.103.2551,022
15527.138.104.0/2227.138.104.1 to 27.138.107.25427.138.107.2551,022
15627.138.108.0/2227.138.108.1 to 27.138.111.25427.138.111.2551,022
15727.138.112.0/2227.138.112.1 to 27.138.115.25427.138.115.2551,022
15827.138.116.0/2227.138.116.1 to 27.138.119.25427.138.119.2551,022
15927.138.120.0/2227.138.120.1 to 27.138.123.25427.138.123.2551,022
16027.138.124.0/2227.138.124.1 to 27.138.127.25427.138.127.2551,022
16127.138.128.0/2227.138.128.1 to 27.138.131.25427.138.131.2551,022
16227.138.132.0/2227.138.132.1 to 27.138.135.25427.138.135.2551,022
16327.138.136.0/2227.138.136.1 to 27.138.139.25427.138.139.2551,022
16427.138.140.0/2227.138.140.1 to 27.138.143.25427.138.143.2551,022
16527.138.144.0/2227.138.144.1 to 27.138.147.25427.138.147.2551,022
16627.138.148.0/2227.138.148.1 to 27.138.151.25427.138.151.2551,022
16727.138.152.0/2227.138.152.1 to 27.138.155.25427.138.155.2551,022
16827.138.156.0/2227.138.156.1 to 27.138.159.25427.138.159.2551,022
16927.138.160.0/2227.138.160.1 to 27.138.163.25427.138.163.2551,022
17027.138.164.0/2227.138.164.1 to 27.138.167.25427.138.167.2551,022
17127.138.168.0/2227.138.168.1 to 27.138.171.25427.138.171.2551,022
17227.138.172.0/2227.138.172.1 to 27.138.175.25427.138.175.2551,022
17327.138.176.0/2227.138.176.1 to 27.138.179.25427.138.179.2551,022
17427.138.180.0/2227.138.180.1 to 27.138.183.25427.138.183.2551,022
17527.138.184.0/2227.138.184.1 to 27.138.187.25427.138.187.2551,022
17627.138.188.0/2227.138.188.1 to 27.138.191.25427.138.191.2551,022
17727.138.192.0/2227.138.192.1 to 27.138.195.25427.138.195.2551,022
17827.138.196.0/2227.138.196.1 to 27.138.199.25427.138.199.2551,022
17927.138.200.0/2227.138.200.1 to 27.138.203.25427.138.203.2551,022
18027.138.204.0/2227.138.204.1 to 27.138.207.25427.138.207.2551,022
18127.138.208.0/2227.138.208.1 to 27.138.211.25427.138.211.2551,022
18227.138.212.0/2227.138.212.1 to 27.138.215.25427.138.215.2551,022
18327.138.216.0/2227.138.216.1 to 27.138.219.25427.138.219.2551,022
18427.138.220.0/2227.138.220.1 to 27.138.223.25427.138.223.2551,022
18527.138.224.0/2227.138.224.1 to 27.138.227.25427.138.227.2551,022
18627.138.228.0/2227.138.228.1 to 27.138.231.25427.138.231.2551,022
18727.138.232.0/2227.138.232.1 to 27.138.235.25427.138.235.2551,022
18827.138.236.0/2227.138.236.1 to 27.138.239.25427.138.239.2551,022
18927.138.240.0/2227.138.240.1 to 27.138.243.25427.138.243.2551,022
19027.138.244.0/2227.138.244.1 to 27.138.247.25427.138.247.2551,022
19127.138.248.0/2227.138.248.1 to 27.138.251.25427.138.251.2551,022
19227.138.252.0/2227.138.252.1 to 27.138.255.25427.138.255.2551,022
19327.139.0.0/2227.139.0.1 to 27.139.3.25427.139.3.2551,022
19427.139.4.0/2227.139.4.1 to 27.139.7.25427.139.7.2551,022
19527.139.8.0/2227.139.8.1 to 27.139.11.25427.139.11.2551,022
19627.139.12.0/2227.139.12.1 to 27.139.15.25427.139.15.2551,022
19727.139.16.0/2227.139.16.1 to 27.139.19.25427.139.19.2551,022
19827.139.20.0/2227.139.20.1 to 27.139.23.25427.139.23.2551,022
19927.139.24.0/2227.139.24.1 to 27.139.27.25427.139.27.2551,022
20027.139.28.0/2227.139.28.1 to 27.139.31.25427.139.31.2551,022
20127.139.32.0/2227.139.32.1 to 27.139.35.25427.139.35.2551,022
20227.139.36.0/2227.139.36.1 to 27.139.39.25427.139.39.2551,022
20327.139.40.0/2227.139.40.1 to 27.139.43.25427.139.43.2551,022
20427.139.44.0/2227.139.44.1 to 27.139.47.25427.139.47.2551,022
20527.139.48.0/2227.139.48.1 to 27.139.51.25427.139.51.2551,022
20627.139.52.0/2227.139.52.1 to 27.139.55.25427.139.55.2551,022
20727.139.56.0/2227.139.56.1 to 27.139.59.25427.139.59.2551,022
20827.139.60.0/2227.139.60.1 to 27.139.63.25427.139.63.2551,022
20927.139.64.0/2227.139.64.1 to 27.139.67.25427.139.67.2551,022
21027.139.68.0/2227.139.68.1 to 27.139.71.25427.139.71.2551,022
21127.139.72.0/2227.139.72.1 to 27.139.75.25427.139.75.2551,022
21227.139.76.0/2227.139.76.1 to 27.139.79.25427.139.79.2551,022
21327.139.80.0/2227.139.80.1 to 27.139.83.25427.139.83.2551,022
21427.139.84.0/2227.139.84.1 to 27.139.87.25427.139.87.2551,022
21527.139.88.0/2227.139.88.1 to 27.139.91.25427.139.91.2551,022
21627.139.92.0/2227.139.92.1 to 27.139.95.25427.139.95.2551,022
21727.139.96.0/2227.139.96.1 to 27.139.99.25427.139.99.2551,022
21827.139.100.0/2227.139.100.1 to 27.139.103.25427.139.103.2551,022
21927.139.104.0/2227.139.104.1 to 27.139.107.25427.139.107.2551,022
22027.139.108.0/2227.139.108.1 to 27.139.111.25427.139.111.2551,022
22127.139.112.0/2227.139.112.1 to 27.139.115.25427.139.115.2551,022
22227.139.116.0/2227.139.116.1 to 27.139.119.25427.139.119.2551,022
22327.139.120.0/2227.139.120.1 to 27.139.123.25427.139.123.2551,022
22427.139.124.0/2227.139.124.1 to 27.139.127.25427.139.127.2551,022
22527.139.128.0/2227.139.128.1 to 27.139.131.25427.139.131.2551,022
22627.139.132.0/2227.139.132.1 to 27.139.135.25427.139.135.2551,022
22727.139.136.0/2227.139.136.1 to 27.139.139.25427.139.139.2551,022
22827.139.140.0/2227.139.140.1 to 27.139.143.25427.139.143.2551,022
22927.139.144.0/2227.139.144.1 to 27.139.147.25427.139.147.2551,022
23027.139.148.0/2227.139.148.1 to 27.139.151.25427.139.151.2551,022
23127.139.152.0/2227.139.152.1 to 27.139.155.25427.139.155.2551,022
23227.139.156.0/2227.139.156.1 to 27.139.159.25427.139.159.2551,022
23327.139.160.0/2227.139.160.1 to 27.139.163.25427.139.163.2551,022
23427.139.164.0/2227.139.164.1 to 27.139.167.25427.139.167.2551,022
23527.139.168.0/2227.139.168.1 to 27.139.171.25427.139.171.2551,022
23627.139.172.0/2227.139.172.1 to 27.139.175.25427.139.175.2551,022
23727.139.176.0/2227.139.176.1 to 27.139.179.25427.139.179.2551,022
23827.139.180.0/2227.139.180.1 to 27.139.183.25427.139.183.2551,022
23927.139.184.0/2227.139.184.1 to 27.139.187.25427.139.187.2551,022
24027.139.188.0/2227.139.188.1 to 27.139.191.25427.139.191.2551,022
24127.139.192.0/2227.139.192.1 to 27.139.195.25427.139.195.2551,022
24227.139.196.0/2227.139.196.1 to 27.139.199.25427.139.199.2551,022
24327.139.200.0/2227.139.200.1 to 27.139.203.25427.139.203.2551,022
24427.139.204.0/2227.139.204.1 to 27.139.207.25427.139.207.2551,022
24527.139.208.0/2227.139.208.1 to 27.139.211.25427.139.211.2551,022
24627.139.212.0/2227.139.212.1 to 27.139.215.25427.139.215.2551,022
24727.139.216.0/2227.139.216.1 to 27.139.219.25427.139.219.2551,022
24827.139.220.0/2227.139.220.1 to 27.139.223.25427.139.223.2551,022
24927.139.224.0/2227.139.224.1 to 27.139.227.25427.139.227.2551,022
25027.139.228.0/2227.139.228.1 to 27.139.231.25427.139.231.2551,022
25127.139.232.0/2227.139.232.1 to 27.139.235.25427.139.235.2551,022
25227.139.236.0/2227.139.236.1 to 27.139.239.25427.139.239.2551,022
25327.139.240.0/2227.139.240.1 to 27.139.243.25427.139.243.2551,022
25427.139.244.0/2227.139.244.1 to 27.139.247.25427.139.247.2551,022
25527.139.248.0/2227.139.248.1 to 27.139.251.25427.139.251.2551,022
25627.139.252.0/2227.139.252.1 to 27.139.255.25427.139.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses